import React, { Component } from 'react'
import TextInput from './TextInput'
import Card from './Card'
export class CreateUserWidget extends Component {
    render() {
        return (
            <Card>
                <h4>Add User</h4>
                <hr />
                <p>Add new user</p>
                <TextInput id="first_name" label="First Name" />
                <TextInput id="last_name" label="Last Name" />
                <TextInput id="pin" label="PIN" />
                <TextInput id="rfid" disabled label="RFID" button="Scan" value="Scanning RFID" onClick={(e)=>{console.log("Button Pressed",e)}}/>
                <TextInput id="Expire_Date" label="Expire Date" type="date" />
                <button>Add</button>
                </Card>
        )
    }
}

export default CreateUserWidget
